Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
system_tools:installing_cores [2019/11/08 02:55]
muaddib [Overview]
system_tools:installing_cores [2020/08/24 01:04] (current)
muaddib
Line 12: Line 12:
   * Compatibility improvements   * Compatibility improvements
  
-The ''Vampire Core'' contains the following modules : +The ''Vampire Core'' contains the following modules:
- +
-  * [[apollo_core:start|APOLLO Core]] +
-    * M680x0 compatible and enhanced CPU +
-    * M68040 compatible and enhanced FPU+
  
 +  * [[apollo_core:start|APOLLO 68080 Core]]
   * [[saga:start|SAGA Core]]   * [[saga:start|SAGA Core]]
-    * [[saga:video|SAGA Video Core]] 
-    * [[saga:audio|SAGA Audio Core]] 
-    * [[saga:sdcard|SAGA SDCard Core]] 
-    * [[saga:flash|SAGA SPI Flash Core]] 
  
 ---- ----
Line 30: Line 23:
 {{:settings-icon.png?nolink&48|}} {{:settings-icon.png?nolink&48|}}
  
-==== Method #1: Using .JIC binaries with Quartus II Programmer ====+==== Method #1: Using .JIC binaries with Quartus Prime Programmer ====
  
 This is the preferred method, because it is the only solution in case of a broken system ("brick"). This is the preferred method, because it is the only solution in case of a broken system ("brick").
Line 37: Line 30:
   * A ''USB-Blaster'' and cables.   * A ''USB-Blaster'' and cables.
   * A ''Windows'' or ''Linux'' computer.   * A ''Windows'' or ''Linux'' computer.
-  * ''Altera Quartus II Programmer'' installed.+  * ''Quartus Prime Programmer'' installed.
   * ''.JIC binary file'' dedicated to the target Vampire.   * ''.JIC binary file'' dedicated to the target Vampire.
  
-<callout type="warning" title="WARNING" icon="true">Quartus II Programmer does **NOT** protect the Vampire against unsuitable .JIC binaries.</callout>+<callout type="warning" title="WARNING" icon="true">Quartus Prime Programmer does **NOT** protect the Vampire against unsuitable .JIC binaries.</callout>
  
-->  [[install_core_quartus|Installing new Cores using Quartus II Programmer]]+->  [[system_tools:installing_cores_quartus|Installing new Cores using Quartus Prime Programmer]]
  
 ==== Method #2: Using FlashROM executables ==== ==== Method #2: Using FlashROM executables ====
Line 48: Line 41:
 This the secondary method because of the following risk: This the secondary method because of the following risk:
  
-<callout type="warning" title="WARNING" icon="true">''FlashROM'' can brick a weak card! Prefer Method #1 if possible.</callout>+<callout type="warning" title="WARNING" icon="true">''FlashROM'' can brick a weak board! Prefer Method #1 if possible.</callout>
  
   * Runs directly from AmigaOS 3.x.   * Runs directly from AmigaOS 3.x.
   * Easy to use, totally configuration-free.   * Easy to use, totally configuration-free.
   * Protects against incorrect hardware target.   * Protects against incorrect hardware target.
-    * Reads the current revision and allows/forbids flashing if wrong hardware. +    * Reads the current revision and forbids flashing if wrong hardware. 
- +  * Updates the version string stored in the Vampire Core.
--> [[install_core_flashrom|Installing new Cores using FlashROM executables]] +
- +
----- +
- +
-===== Warnings ===== +
- +
-{{:warning-icon.png?nolink&48|}}+
  
-  * **__NEVER__** switch off the computer during a flash operation. +-> [[system_tools:installing_cores_flashrom|Installing new Cores using FlashROM executables]]
-  * **__NEVER__** flash unsuitable Cores on a Vampire board : +
-    * Do **NOT** flash, for example, a Core dedicated to ''Vampire 600 V2'' on a ''Vampire 600 V1'' or a ''Vampire 500 V2+''+
-  * DO **NOT** use your operating system during a flash operation. +
-  * ALWAYS have a copy of the previous working Core. +
-    * Having copy will be useful in case of severe bugs in new release. +
-  * BETTER to have a ready-to-use ''USB-Blaster'' in case of serious issue. +
  
 ---- ----
Last modified: le 2020/08/02 12:37